﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GrapeCity.ActiveReports.Web.Controls;

namespace ActiveReports_Print
{
    public partial class WebForm2 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                CustomizeToolbar();
                LoadReport();
            }
        }

        private void LoadReport()
        {
            GrapeCity.ActiveReports.PageReport rptPreview = new GrapeCity.ActiveReports.PageReport(new System.IO.FileInfo(Server.MapPath("Reports/rptInvoice.rdlx")));
            rptPreview.Report.ReportParameters[0].DefaultValue.Values.Add("1");
            rptPreview.Report.DataSources[0].ConnectionProperties.ConnectString = string.Format("provider=Microsoft.Jet.OLEDB.4.0;data source={0}", Server.MapPath("/Data/NWind_CHS.mdb"));
            WebViewer1.Report = rptPreview;

            GrapeCity.ActiveReports.PageReport rptPrint = new GrapeCity.ActiveReports.PageReport(new System.IO.FileInfo(Server.MapPath("Reports/rptInvoice.rdlx")));
            rptPrint.Report.ReportParameters[0].DefaultValue.Values.Add("0");
            rptPrint.Report.DataSources[0].ConnectionProperties.ConnectString = string.Format("provider=Microsoft.Jet.OLEDB.4.0;data source={0}", Server.MapPath("/Data/NWind_CHS.mdb"));
            WebViewer2.Report = rptPrint;
        }

        private void CustomizeToolbar()
        {
            // 隐藏打印范围按钮
            ToolBase btnRang = WebViewer1.FlashViewerToolBar.Tools["PageRangeButton"];
            btnRang.Visible = false;

            // 隐藏打印按钮
            ToolBase btnPrint = WebViewer1.FlashViewerToolBar.Tools["PrintButton"];
            btnRang.Visible = false;

            ToolButton btnCPrint = Tool.CreateButton("套打");
            btnCPrint.Caption = "套打";
            btnCPrint.ToolTip = "套打";

            WebViewer1.FlashViewerToolBar.Tools.Insert(0, btnCPrint);

        }
    }
}